//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SCOMBO.H 

#if !defined(__SFX_SCOMBO_H)
#define __SFX_SCOMBO_H

#if !defined(__OWL_COMBOBOX_H)
  #include <owl\combobox.h>
#endif

//	class TSFXComboBox

class _OWLCLASS TSFXComboBox : public TComboBox
{
public:
	TSFXComboBox(TWindow*        parent,
				 int             id,
				 int x, int y, int w, int h,
				 DWORD           style,
				 UINT            textLen,
				 TModule*        module = 0);

	TSFXComboBox(TWindow*   parent,
				 int        resourceId,
				 UINT       textLen = 0,
				 TModule*   module = 0);

  protected:
	char far*    GetClassName();

  DECLARE_STREAMABLE_FROM_BASE(_OWLCLASS, TSFXComboBox, TComboBox);
};

#endif //	__SFX_SCOMBO_H
